MockPart (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.plugins.testing

## [Groovy] Class MockPart

- org.grails.plugins.testing.MockPart

- All Implemented Interfaces and Traits:
    javax.servlet.http.Part

      class MockPart
      extends java.lang.Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.web.multipart.MultipartFile` | `file`
    `org.springframework.util.MultiValueMap<java.lang.String, java.lang.String>` | `headers`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MockPart (org.springframework.web.multipart.MultipartFile file)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `delete()`
    `` | `java.lang.String` | `getContentType()`
    `` | `java.lang.String` | `getHeader(java.lang.String name)`
    `` | `java.util.Collection<java.lang.String>` | `getHeaderNames()`
    `` | `java.util.Collection<java.lang.String>` | `getHeaders(java.lang.String name)`
    `` | `java.io.InputStream` | `getInputStream()`
    `` | `java.lang.String` | `getName()`
    `` | `long` | `getSize()`
    `` | `void` | `write(java.lang.String fileName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### org.springframework.web.multipart.MultipartFile file

    - #### org.springframework.util.MultiValueMap<java.lang.String, java.lang.String> headers

  - ### Constructor Detail

    - #### MockPart(org.springframework.web.multipart.MultipartFile file)

  - ### Method Detail

    - #### void delete()

    - #### java.lang.String getContentType()

    - #### java.lang.String getHeader(java.lang.String name)

    - #### java.util.Collection<java.lang.String> getHeaderNames()

    - #### java.util.Collection<java.lang.String> getHeaders(java.lang.String name)

    - #### java.io.InputStream getInputStream()

    - #### java.lang.String getName()

    - #### long getSize()

    - #### void write(java.lang.String fileName)